GET tokens/{id}/info · POS API
GET tokens/{id}/info
/tokens/{id}/infoHereby it can be queried, whether there is already credit on the token, which recharge limits for the token If necessary, there may be a PIN query, how many loyalty points the user of this token may already have and much more. This info can be used for the visual display must be relevant for the cashier. *Please form a checksum (see Security-Token) for the ** {id} *and specify it in the 'SecurityToken' header.
Parameter
idstringErforderlichEnter the token read from a carrier medium here. If the token is longer than 50 bytes, it should be transmitted via the token request header instead of the URL.
'cardId123'Request-Header
DevKey{Your Key}TrackingUnitId{trackingUnitId}SecurityToken{checksum over {id}}Tokenoptional {the token read from a carrier medium as customer identifier}Kontext: tokens
Tokens are arbitrary, but always different, non-repeatable strings, which can be used for identification purposes as well as for of a consumer ('consumer') as well as for the identification of a credit balance ('balance'). As a rule these tokens are stored on any carrier medium and sent to a consumer in the form of a 'customer card' or 'gift card handed over. The consumer will have to present this carrier medium at the POS with his next purchases in order to access the to be able to access credit or to be credited with menio-Rewards.
Originaler Blueprint-Ausschnitt
### GET tokens/{id}/info [GET]
Hereby it can be queried, whether there is already credit on the token, which recharge limits for the token
If necessary, there may be a PIN query, how many loyalty points the user of this token may already have and much more. This info can be used for
the visual display must be relevant for the cashier.
*Please form a checksum (see [Security-Token](#introduction/basic/security-token)) for the ** **{id}** *and specify it in the 'SecurityToken' header.
+ Parameters
+ id (string, `'cardId123'`) ... Enter the token read from a carrier medium here. If the token is longer than 50 bytes, it should be transmitted via the token request header instead of the URL.
+ Request
+ Headers
DevKey: {Your Key}
TrackingUnitId: {trackingUnitId}
SecurityToken: {checksum over {id}}
Token: optional {the token read from a carrier medium as customer identifier}
+ response 200
{
"TokenType": "consumerIdentifier",
"Balance": 25.99,
"MaxBalance": 99999.0,
"RemainingBalanceToAdd": 99974.01,
"IsWithdrawBalanceAllowed": false,
"IsAddBalanceAllowed": true,
"RelatedGiftCards": [],
"IdentAliases": [
{
"IdentString": "6088514929546754",
"Source": 4
}
],
"IdentString": "6088514929546754",
"ExternalIdentString": "12398730984",
"ExternalIdentStringSource": "Company",
"ExternalCardNumber": "12356473",
"RequiresPin": false,
"InfoUrl": "http://https://pos-playground-eu.qnips.com/TokenInfo?token=4BZC2R1iAqmappIzAMbOkQ0LZCm0b%2fmc0v7nhSITEV7snTxI%2f%2bELsNd6n1Z2fyXtMp%2fuwlg%2fgU%2be9r7bIQwSiA%3d%3d",
"ConsumerIdentityInfo": {
"LoyaltySchemeProgressInfos": [
{
"CurrentPoints": 2,
"MaxPoints": 10,
"LoyaltySchemeId": 123,
"LoyaltySchemeName": "Every 10th coffee drink for free"
}
],
"QrCodeContent": "",
"Allowances": [
{
"Id": 180,
"Name": "Allowances Daily",
"ThirdPartyId": "AD123",
"RemainingValue": 2.0,
"Type": 1
}
]
},
"TagInfos": [
{
"ThirdPartyId": "ThirdPartyId2",
"Name": "UserGroupName2"
}
]
}
+ response 500
// HTTP-InternalServerError: An unknown problem occurred during processing
{
"ErrorMessage": "some explanation"
"StackTrace": "text"
}
+ response 403
// HTTP-Forbidden: trackingUnitId is not yet activated by the merchant
+ Response 401
// HTTP-Unauthorized: DevKey, trackingUnitId or SecurityToken not specified/wrong
+ response 400
{
"ErrorId":13000,
"ErrorText": "Details of the error"
}
// here all possible error codes incl. texts for this resource
// 13001: token unknown